## plasma-mobile 0.0~svn20100830

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)

include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

add_subdirectory(applets)
add_subdirectory(containments)
add_subdirectory(dataengines)
add_subdirectory(desktoptheme)
add_subdirectory(qmlengine)
add_subdirectory(bindings)
add_subdirectory(examples)
if(NOT WIN32)
add_subdirectory(shell)
endif(NOT WIN32)

=== applets/CMakeLists.txt ===
add_subdirectory(appswitcher)
add_subdirectory(samegame)
add_subdirectory(digital-clock)
add_subdirectory(fakemail)
add_subdirectory(quickdialer)
add_subdirectory(news)
add_subdirectory(mobilesystray)
add_subdirectory(fakebattery)
add_subdirectory(fakesignal)
add_subdirectory(fakecontactlist)

=== bindings/CMakeLists.txt ===
project(bindings)

include(KDE4Defaults)

set(bindings_SRCS
    plasmabindings.cpp
    phone/phone.cpp
    private/declarativetabbar.cpp
    private/gridlayout.cpp
    private/linearlayout.cpp
    private/dataengineconsumer.cpp
    private/theme.cpp
    datasource.cpp
    )

INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
        ${KDE4_INCLUDES}
)

qt4_automoc(${bindings_SRCS})

add_library(plasma_bindings SHARED ${bindings_SRCS})
target_link_libraries(plasma_bindings ${KDE4_PLASMA_LIBS} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS plasma_bindings DESTINATION ${INSTALL_TARGETS_DEFAULT_ARGS})

=== qmlengine/CMakeLists.txt ===
set(qml_appletscript_SRCS
    qmlappletscript.cpp
    ../common/qmlwidget.cpp
    )

set(qml_package_SRCS
    qmlpackage.cpp
    )

set(PLASMA_BINDINGS
   plasma_bindings
   )

kde4_add_plugin(plasma_appletscript_qml ${qml_appletscript_SRCS})
target_link_libraries(plasma_appletscript_qml ${KDE4_PLASMA_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${PLASMA_BINDINGS}

)

kde4_add_plugin(plasma_package_qml ${qml_package_SRCS})
target_link_libraries(plasma_package_qml ${KDE4_PLASMA_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY}
    ${PLASMA_BINDINGS}
)


install(TARGETS plasma_appletscript_qml DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-appletscript-qml.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(TARGETS plasma_package_qml DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-packagestructure-qml.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== shell/CMakeLists.txt ===
include_directories(${KDEBASE_WORKSPACE_SOURCE_DIR}/libs 
                    ${KDEBASE_WORKSPACE_SOURCE_DIR}/libs/kworkspace)

include(KDE4Defaults)

add_subdirectory(data)

set(plasma-mobile_SRCS
    main.cpp
    mobcorona.cpp
    mobview.cpp
    plasmaapp.cpp
    mobdialogmanager.cpp
    inputcontext.cpp
    ../common/qmlwidget.cpp
    
    widgetsexplorer/mobilewidgetsexplorer.cpp
    widgetsexplorer/kcategorizeditemsviewmodels.cpp
    widgetsexplorer/plasmaappletitemmodel.cpp
)

set(PLASMA_BINDINGS
  plasma_bindings
)

#set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
set(ksmserver_xml ${KDE4_DBUS_INTERFACES_DIR}/org.kde.KSMServerInterface.xml)
qt4_add_dbus_interface(plasma-mobile_SRCS ${ksmserver_xml} ksmserver_interface)

qt4_add_dbus_interface(plasma-mobile_SRCS org.kde.PlasmaKeyboardShell.xml keyboard_interface)

kde4_add_kdeinit_executable(plasma-mobile ${plasma-mobile_SRCS})

target_link_libraries(kdeinit_plasma-mobile ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTDECLARATIVE_LIBRARY} 
                      ${KDE4_KIO_LIBS} ${X11_LIBRARIES} ${PLASMA_BINDINGS} ${QT_QTOPENGL_LIBRARY})
if(X11_Xrender_FOUND)
   target_link_libraries(kdeinit_plasma-mobile ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

install(TARGETS kdeinit_plasma-mobile DESTINATION ${LIB_INSTALL_DIR})
install(TARGETS plasma-mobile ${INSTALL_TARGETS_DEFAULT_ARGS} )

#install(FILES plasma-mobile.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

install(DIRECTORY widgetsexplorer/qml/ DESTINATION ${DATA_INSTALL_DIR}/plasma-mobile/mobilewidgetsexplorer PATTERN .svn EXCLUDE)

=== applets/digital-clock/CMakeLists.txt ===
project(digital-clock)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.digital-clock-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-digital-clock-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/fakebattery/CMakeLists.txt ===
# Project Needs a name ofcourse
project(fakebattery)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(fakebattery_SRCS

    fakebattery.cpp
)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_fakebattery ${fakebattery_SRCS})
target_link_libraries(plasma_applet_fakebattery
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_fakebattery
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-fakebattery.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/fakemail/CMakeLists.txt ===
project(fakemail)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.fakemail-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-fakemail-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/mobilesystray/CMakeLists.txt ===
# Project Needs a name ofcourse
project(mobilesystemtray)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(mobilesystemtray_SRCS

    core/manager.cpp
    core/protocol.cpp
    core/task.cpp

    #protocols/fdo/fdoprotocol.cpp
    #protocols/fdo/fdotask.cpp
    #FIXME: we should find another way to achieve that
    #protocols/fdo/fdonotification.cpp
    #protocols/fdo/fdographicswidget.cpp
    #protocols/fdo/fdoselectionmanager.cpp
    #protocols/fdo/x11embedcontainer.cpp
    #protocols/fdo/x11embeddelegate.cpp
    #protocols/fdo/x11embedpainter.cpp

    protocols/plasmoid/plasmoidtaskprotocol.cpp
    protocols/plasmoid/plasmoidtask.cpp

    protocols/dbussystemtray/dbussystemtraytask.cpp
    protocols/dbussystemtray/dbussystemtrayprotocol.cpp
    protocols/dbussystemtray/dbussystemtraywidget.cpp

    ui/applet.cpp
    )

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_mobilesystemtray ${mobilesystemtray_SRCS})
target_link_libraries(plasma_applet_mobilesystemtray
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_mobilesystemtray
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-mobilesystemtray.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/quickdialer/CMakeLists.txt ===
project(news)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.quickdialer-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-quickdialer-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/samegame/CMakeLists.txt ===
project(samegame)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.samegame-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-samegame-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== containments/mobilelauncher/CMakeLists.txt ===

include(KDE4Defaults)

set(mobile_launcher_SRCS
    mobilelauncher.cpp
    models/krunnermodel.cpp
    models/standarditemfactory.cpp
    resultwidget.cpp
    ../../common/qmlwidget.cpp
    )

kde4_add_plugin(plasma_containment_mobilelauncher ${mobile_launcher_SRCS})
target_link_libraries(plasma_containment_mobilelauncher ${KDE4_PLASMA_LIBS} ${QT_QTDECLARATIVE_LIBRARY} )

install(DIRECTORY qml/ DESTINATION ${DATA_INSTALL_DIR}/plasma-mobile/containments/mobilelauncher PATTERN .svn EXCLUDE)
install(TARGETS plasma_containment_mobilelauncher DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma-containment-mobilelauncher.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-mobile (0.0~svn20100830-0ubuntu5) maverick; urgency=low

  * Add dependency on libqtwebkit4-declarative

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Sep 2010 16:11:32 +0100

plasma-mobile (0.0~svn20100830-0ubuntu4) maverick; urgency=low

  * Remove kubuntu_02_no_qml_webkit.diff now that qml support is in
    QtWebkit

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Sep 2010 18:51:53 +0100

plasma-mobile (0.0~svn20100830-0ubuntu3) maverick; urgency=low

  * Add kubuntu_02_no_qml_webkit.diff to fix startup with our webkit
    version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 23:35:03 +0100

plasma-mobile (0.0~svn20100830-0ubuntu2) maverick; urgency=low

  * rebuild for binary incompatibility somewhere

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 08 Sep 2010 23:38:55 +0100

plasma-mobile (0.0~svn20100830-0ubuntu1) maverick; urgency=low

  * New svn snapshot, revision 1170070. (LP: #627205)
  * Updated Standards-Version to 3.9.1.
  * Updated the build-dep kdebase-workspace-dev to >= 4.5.
  * Removed the patches kubuntu_02_enable_mobilesystray_build.diff and
    kubuntu_03_add_mobilesystray_to_all_desktops.diff since upstream
    already enables the systray build and it is by default on all
    desktops.
  * Switch to dpkg-source 3.0 (quilt) format.

 -- Rodrigo Belem <rclbelem@gmail.com>  Mon, 30 Aug 2010 23:41:22 -0400

plasma-mobile (0.0~svn20100802-0ubuntu2) maverick; urgency=low

  * Added plasma-widgets-addons as dependency. (LP: #623142)

 -- Rodrigo Belem <rclbelem@gmail.com>  Tue, 24 Aug 2010 01:07:11 -0400

plasma-mobile (0.0~svn20100802-0ubuntu1) maverick; urgency=low

  * New svn snapshot, revision 1158511. (LP: #612780)

 -- Rodrigo Belem <rclbelem@gmail.com>  Mon, 02 Aug 2010 20:23:24 -0400

plasma-mobile (0.0~svn20100711-0ubuntu1) maverick; urgency=low

  * New svn snapshot. (LP: #604364 )
  * Added kubuntu_02_enable_mobilesystray_build.diff to enable the
    build of mobilesystray.
  * Added kubuntu_03_add_mobilesystray_to_all_desktops.diff which
    adds the mobilesystray applet to the network desktop.

 -- Rodrigo Belem <rclbelem@gmail.com>  Sun, 11 Jul 2010 17:08:47 -0400

plasma-mobile (0.0~svn20100617-0ubuntu2) maverick; urgency=low

  * Remove Install_libplasma_bindings_to_plugins_dir.diff which
    incorrectly made libplasma_bindings.so try to be a plugin, add
    kubuntu_01_library_version.diff which gives it a version number

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Jun 2010 12:46:03 +0100

plasma-mobile (0.0~svn20100617-0ubuntu1) maverick; urgency=low

  * Initial release. (LP: #512319)

 -- Rodrigo Belem <rclbelem@gmail.com>  Thu, 17 Jun 2010 13:10:20 -0400

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rclbelem@gmail.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev (>= 4.5),
 kdebase-workspace-dev (>= 4.5), libxrender-dev,
 libqt4-opengl-dev (>= 4.7.0~)
Standards-Version: 3.9.1
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-widgets-addons (>= 4.5), libqtwebkit4-declarative
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package provides a tech preview KDE Plasma Mobile installation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --with quilt $@

TARFILE?=plasma-mobile_0.0~svn$(shell date +%Y%m%d).orig.tar

get-orig-source:
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/shells/mobile plasma-mobile
	cp /usr/share/common-licenses/LGPL plasma-mobile/LICENSE.LGPL
	cp /usr/share/common-licenses/LGPL-2 plasma-mobile/LICENSE.LGPL-2
	cp /usr/share/common-licenses/GPL plasma-mobile/LICENSE.GPL
	cp /usr/share/common-licenses/BSD plasma-mobile/LICENSE.BSD
	tar cf $(TARFILE) plasma-mobile
	rm -rf plasma-mobile
	gzip -9fn $(TARFILE)

../$(TARFILE): get-orig-source

## plasma-mobile 0.0~svn20110101

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,9 +11,7 @@
 
 add_subdirectory(applets)
 add_subdirectory(containments)
-add_subdirectory(dataengines)
 add_subdirectory(desktoptheme)
-add_subdirectory(qmlengine)
 add_subdirectory(bindings)
 add_subdirectory(examples)
 if(NOT WIN32)

=== applets/CMakeLists.txt ===
add_subdirectory(appswitcher)
add_subdirectory(org.kde.analogclock)
add_subdirectory(quickdialer)
add_subdirectory(news)
add_subdirectory(mobilesystray)
add_subdirectory(fakebattery)
add_subdirectory(fakesignal)
add_subdirectory(fakecontactlist)

=== bindings/CMakeLists.txt ===
project(bindings)

add_subdirectory(phone)
add_subdirectory(mobilecomponents)

=== containments/CMakeLists.txt ===
if(NOT WIN32)
add_subdirectory(mobiledesktop)
add_subdirectory(mobilelauncher)

endif(NOT WIN32)

=== desktoptheme/CMakeLists.txt ===

add_subdirectory(air-mobile)

=== examples/CMakeLists.txt ===
add_subdirectory(qmlwidgets)

=== shell/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 include(KDE4Defaults)
 
 add_subdirectory(data)
+add_subdirectory(mobiletoolbox)
 
 set(plasma-mobile_SRCS
     main.cpp
@@ -12,15 +13,10 @@
     plasmaapp.cpp
     mobdialogmanager.cpp
     inputcontext.cpp
-    ../common/qmlwidget.cpp
     
     widgetsexplorer/mobilewidgetsexplorer.cpp
     widgetsexplorer/kcategorizeditemsviewmodels.cpp
     widgetsexplorer/plasmaappletitemmodel.cpp
-)
-
-set(PLASMA_BINDINGS
-  plasma_bindings
 )
 
 #set(ksmserver_xml ${KDEBASE_WORKSPACE_SOURCE_DIR}/ksmserver/org.kde.KSMServerInterface.xml)
@@ -32,7 +28,7 @@
 kde4_add_kdeinit_executable(plasma-mobile ${plasma-mobile_SRCS})
 
 target_link_libraries(kdeinit_plasma-mobile ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTDECLARATIVE_LIBRARY} 
-                      ${KDE4_KIO_LIBS} ${X11_LIBRARIES} ${PLASMA_BINDINGS} ${QT_QTOPENGL_LIBRARY})
+                      ${KDE4_KIO_LIBS} ${X11_LIBRARIES} ${QT_QTOPENGL_LIBRARY})
 if(X11_Xrender_FOUND)
    target_link_libraries(kdeinit_plasma-mobile ${X11_Xrender_LIB})
 endif(X11_Xrender_FOUND)

=== applets/appswitcher/CMakeLists.txt ===
project(plasma-appswitcher)


set(appswitcher_SRCS appswitcher.cpp)


kde4_add_plugin(plasma_applet_appswitcher ${appswitcher_SRCS})
target_link_libraries(plasma_applet_appswitcher
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_appswitcher
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-appswitcher.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/fakecontactlist/CMakeLists.txt ===
project(news)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.fakecontactlist-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-fakecontactlist-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== applets/fakesignal/CMakeLists.txt ===
# Project Needs a name ofcourse
project(fakesignal)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

# We add our source code here
set(fakesignal_SRCS

    fakesignal.cpp
)

# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_fakesignal ${fakesignal_SRCS})
target_link_libraries(plasma_applet_fakesignal
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS})

install(TARGETS plasma_applet_fakesignal
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-fakesignal.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

#install(FILES network.svgz DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)

=== applets/news/CMakeLists.txt ===
project(news)

install(DIRECTORY package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.news-qml PATTERN .svn EXCLUDE)

install(FILES plasma-applet-news-qml.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

=== bindings/mobilecomponents/CMakeLists.txt ===
project(mobilecomponents)

include(KDE4Defaults)

set(mobilecomponents_SRCS
    mobilecomponentsplugin.cpp
    pagedproxymodel.cpp
    )

INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}
        ${CMAKE_BINARY_DIR}
        ${KDE4_INCLUDES}
)

qt4_automoc(${mobilecomponents_SRCS})


add_library(mobilecomponentsplugin SHARED ${mobilecomponents_SRCS})
target_link_libraries(mobilecomponentsplugin ${QT_QTCORE_LIBRARY} ${QT_QTDBUS_LIBRARY}  ${QT_QTGUI_LIBRARY} ${QT_QTSCRIPT_LIBRARY} ${QT_QTDECLARATIVE_LIBRARY} ${KDE4_KDECORE_LIBRARY})

install(TARGETS mobilecomponentsplugin DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)

install(FILES IconGrid.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES IconDelegate.qml DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasma/mobilecomponents)

=== debian/changelog ===
plasma-mobile (0.0~svn20110101-0ubuntu3) oneiric; urgency=low

  * Depend on libqtwebkit-qmlwebkitplugin instead of libqtwebkit4-declarative
    to match oneiric package renames
  * Build depend on kde-workspace-dev instead of kdebase-workspace-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 21 Jul 2011 09:43:27 -0400

plasma-mobile (0.0~svn20110101-0ubuntu2) natty; urgency=low

  * Add plasma-widgets-workspace to plasma-mobile depends

 -- Scott Kitterman <scott@kitterman.com>  Wed, 13 Apr 2011 20:51:15 -0400

plasma-mobile (0.0~svn20110101-0ubuntu1) natty; urgency=low

  * New svn snapshot
  * Remove kubuntu_01_library_version.diff and
    debian-changes-0.0~svn20100830-0ubuntu4, they don't apply and aren't
    needed in the current snapshot.

 -- Rodrigo Belem <rclbelem@gmail.com>  Sat, 01 Jan 2011 16:58:27 -0400

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rclbelem@gmail.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake (>= 2.8.1),
 pkg-kde-tools (>= 0.5.0~), kdelibs5-dev (>= 4.5.90),
 kde-workspace-dev, libxrender-dev,
 libqt4-opengl-dev (>= 4.7.0~)
Standards-Version: 3.9.1
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, plasma-widgets-addons (>= 4.5.90), libqtwebkit-qmlwebkitplugin, plasma-widgets-workspace
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package provides a tech preview KDE Plasma Mobile installation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde --with quilt $@

TARFILE?=plasma-mobile_0.0~svn$(shell date +%Y%m%d).orig.tar

get-orig-source:
	svn export svn://anonsvn.kde.org/home/kde/trunk/playground/base/plasma/shells/mobile plasma-mobile
	cp /usr/share/common-licenses/LGPL-2 plasma-mobile/LICENSE.LGPL-2
	cp /usr/share/common-licenses/LGPL-2.1 plasma-mobile/LICENSE.LGPL-2.1
	cp /usr/share/common-licenses/GPL-2 plasma-mobile/LICENSE.GPL-2
	tar cf $(TARFILE) plasma-mobile
	rm -rf plasma-mobile
	gzip -9fn $(TARFILE)

../$(TARFILE): get-orig-source

## plasma-mobile 0.5

=== CMakeLists.txt ===
project(plasma-mobile)
cmake_minimum_required (VERSION 2.8)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")

find_package(KDE4 REQUIRED)
find_package(KActivities 6.0.0 REQUIRED)

include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

find_package(Nepomuk REQUIRED)
find_package(Soprano)

macro_log_feature(
   Soprano_FOUND "Soprano" "Semantic Desktop Storing" "http://soprano.sourceforge.net"
   TRUE "${SOPRANO_MIN_VERSION}" "Soprano is needed for Nepomuk"
   )

find_package(KDeclarative REQUIRED)

macro_log_feature(
    KDeclarative_FOUND "libkdeclarative" "KDE Declarative (QML) support from kdelibs" "http://www.kde.org"
    TRUE "" ""
    )

find_package(KDE4Workspace)
macro_log_feature(KDE4WORKSPACE_FOUND "kdebase workspace" "KDE base workspace libraries" "http://www.kde.org" FALSE "" "Needed for building several Plasma plugins")

include(SopranoAddOntology)
add_definitions(-DDISABLE_NEPOMUK_LEGACY=1)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_BINARY_DIR}/inputmethod
   ${KDE4_INCLUDES}
   ${KDE4WORKSPACE_INCLUDE_DIR}
   ${KDECLARATIVE_INCLUDE_DIR}
   ${KACTIVITIES_INCLUDE_DIRS}
   ${SOPRANO_INCLUDE_DIR}
   )

MACRO(installPackage dir component)
   SET(root ${ARGN})
   IF(NOT root)
        SET(root plasma/plasmoids)
     ENDIF(NOT root)
    install(DIRECTORY ${dir}/ DESTINATION ${DATA_INSTALL_DIR}/${root}/${component} PATTERN Messages.sh EXCLUDE)
    install(FILES ${dir}/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-${component}.desktop)
ENDMACRO(installPackage)

MACRO(add_kao_ontology var)
   soprano_add_ontology(
      ${var}
      ${KACTIVITIES_ONTOLOGIES_DIR}/kao.trig
      "KAO" "Nepomuk2::Vocabulary" "trig"
   )
ENDMACRO(add_kao_ontology)

add_subdirectory(applets)
add_subdirectory(applications)
add_subdirectory(artwork)
add_subdirectory(components)
add_subdirectory(containments)
add_subdirectory(contourd)
add_subdirectory(dataengines)
add_subdirectory(qmlpackages)
add_subdirectory(runners)
add_subdirectory(shell)
add_subdirectory(wallpapers)

if (BUILD_HANDSET)
   add_subdirectory(handset)
endif (BUILD_HANDSET)

=== applets/CMakeLists.txt ===
installPackage(powerbutton org.kde.active.powerbutton)
installPackage(resourcelist org.kde.resourcelist)
installPackage(digital-clock org.kde.digital-clock)

add_subdirectory(alarms)
add_subdirectory(locationchooser)

=== applications/CMakeLists.txt ===
add_subdirectory(common)

add_subdirectory(about)
add_subdirectory(settings)
add_subdirectory(filebrowser)
add_subdirectory(webbrowser)
add_subdirectory(widgetstrip)

=== artwork/CMakeLists.txt ===
add_subdirectory(desktoptheme)
add_subdirectory(mousetheme)

=== components/CMakeLists.txt ===
add_subdirectory(metadatamodel)
add_subdirectory(mobilecomponents)
add_subdirectory(dirmodel)
add_subdirectory(settings)

=== containments/CMakeLists.txt ===
installPackage(activityscreen org.kde.active.activityscreen)
installPackage(appletstrip org.kde.appletstrip)
installPackage(webdashboard org.kde.webdashboard)
installPackage(systemtray org.kde.active.systemtray)

=== contourd/CMakeLists.txt ===
project(contourd)

# This should be REQUIRED once we get rid of the hack below
# find_package(QtMobility)

# build stuff
# ===============================================================================================
include_directories(
  ${contour_SOURCE_DIR}/contourd/location
  ${contour_SOURCE_DIR}/contourd/recommendation
  ${contour_BINARY_DIR}
  ${QT_INCLUDES}
  ${KDE4_INCLUDES}
  ${NEPOMUK_INCLUDE_DIR}
  ${SOPRANO_INCLUDE_DIR}

  # QtMobility doesn't work for us anyway:
  #hack to find qt-mobility includes. TODO: get cmake macro
  # ${INCLUDE_INSTALL_DIR}/QtMobility
  # ${INCLUDE_INSTALL_DIR}/QtMobility/QtMobility
  # ${QT_INCLUDE_DIR}/QtMobility
  # ${QT_INCLUDE_DIR}/QtMobility/QtMobility
  # this uses the cmake macro
  # ${QTMOBILITY_INCLUDE_DIR}
)

configure_file(
  config-features.h.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/config-features.h
)

find_file(kao_onto_src kao.trig PATH_SUFFIXES "ontology/kde" PATHS ${CMAKE_INSTALL_PREFIX}/share ENV XDG_DATA_DIRS)

add_subdirectory(recommendation/plugins)

set(recommendationmanager_SRC
  recommendation/RecommendationManager.cpp
  recommendation/RecommendationEngine.cpp
  recommendation/RecommendationItem.cpp
  recommendation/RecommendationScriptEngine.cpp

  recommendation/sensors/dbus/DBusSensor.cpp

  location/LocationManager.cpp
  location/network-engines/NetworkNotifier.cpp
  location/network-engines/dummy/DummyNetworkNotifier.cpp
  location/network-engines/connman/ConnmanNetworkNotifier.cpp
  location/network-engines/connman/connman-manager.cpp
  location/network-engines/connman/connman-service.cpp

  main.cpp
)

qt4_add_dbus_adaptor(
  recommendationmanager_SRC recommendation/org.kde.contour.RecommendationManager.xml
  recommendation/RecommendationManager.h Contour::RecommendationManager
)

qt4_add_dbus_adaptor(
  recommendationmanager_SRC location/org.kde.LocationManager.xml
  location/LocationManager.h Contour::LocationManager
)

qt4_add_dbus_adaptor(
  recommendationmanager_SRC location/network-engines/dummy/org.kde.LocationManager.DummyNetworkNotifier.xml
  location/network-engines/dummy/DummyNetworkNotifier.h DummyNetworkNotifier
)

qt4_add_dbus_adaptor(
  recommendationmanager_SRC location/network-engines/connman/org.kde.LocationManager.ConnmanNetworkNotifier.xml
  location/network-engines/connman/ConnmanNetworkNotifier.h ConnmanNetworkNotifier
)
# find_file(kext_onto_src kext.trig PATH_SUFFIXES "ontology/kde" PATHS ${CMAKE_INSTALL_PREFIX}/share ENV XDG_DATA_DIRS)

# soprano_add_ontology(recommendationmanager_SRC
#     ${kext_onto_src}
#     "KExt" "Nepomuk::Vocabulary" "trig"
#     )

soprano_add_ontology(recommendationmanager_SRC
    ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nepomuk/nao.trig
    "NAO" "Nepomuk::Vocabulary" "trig"
    )

soprano_add_ontology(recommendationmanager_SRC
    ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nie.trig
    "NIE" "Nepomuk::Vocabulary" "trig"
    )

soprano_add_ontology(recommendationmanager_SRC
    ${SHAREDDESKTOPONTOLOGIES_ROOT_DIR}/nie/nco.trig
    "NCO" "Nepomuk::Vocabulary" "trig"
    )

########################################################################
set(ADDITIONAL_LINK_LIBRARIES)

set(recommendationmanager_SRC
    ${recommendationmanager_SRC}
    location/network-engines/solid/SolidNetworkNotifier.cpp
    )

set(ADDITIONAL_LINK_LIBRARIES
    ${ADDITIONAL_LINK_LIBRARIES}
    ${KDE4_SOLID_LIBS}
    )

########################################################################

kde4_add_executable(contour
  ${recommendationmanager_SRC}
)

target_link_libraries(
  contour
  ${QT_QTCORE_LIBRARY}
  ${QT_QTSCRIPT_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KIO_LIBS}
  ${SOPRANO_LIBRARIES}
  ${NEPOMUK_LIBRARIES}
  ${NEPOMUK_QUERY_LIBRARIES}
  ${ADDITIONAL_LINK_LIBRARIES}
  ${KDE4WORKSPACE_KWORKSPACE_LIBRARY}
  ${KDE4WORKSPACE_SOLIDCONTROL_LIBRARY}
  ${KDE4WORKSPACE_SOLIDCONTROLIFACES_LIBRARY}
  # QtLocation
  # QtContacts
  # QtSensors
)

install(FILES
    contour-recommendationengine.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
    )

install(FILES
    contour-recommendationengine-qtscript.desktop
    DESTINATION ${SERVICETYPES_INSTALL_DIR}
    )

install(FILES
    contour.desktop DESTINATION
    ${AUTOSTART_INSTALL_DIR}
    )

install(TARGETS
    contour
    ${INSTALL_TARGETS_DEFAULT_ARGS}
    )

# install(FILES
#     location/network-engines/connman/org.kde.LocationManager.ConnmanWatcher.py
#
#     DESTINATION
#     ${DATA_INSTALL_DIR}/locationmanager/
#
#     PERMISSIONS
#     OWNER_READ OWNER_WRITE OWNER_EXECUTE
#     GROUP_READ GROUP_EXECUTE
#     WORLD_READ WORLD_EXECUTE
#     )

=== dataengines/CMakeLists.txt ===
add_subdirectory(alarms)
add_subdirectory(apps)
add_subdirectory(devicecapabilities)
add_subdirectory(metadata)
add_subdirectory(preview)
add_subdirectory(recommendations)

=== handset/CMakeLists.txt ===
add_subdirectory(applets)
add_subdirectory(containments)
add_subdirectory(dataengines)
add_subdirectory(mobiletoolbox)
add_subdirectory(qmlpackages)

=== qmlpackages/CMakeLists.txt ===
add_subdirectory(activityswitcher)
add_subdirectory(launcher)
add_subdirectory(contour-tablet-homescreen)
add_subdirectory(contourrecommendations)

=== shell/CMakeLists.txt ===
find_package(KDE4Workspace REQUIRED)
find_package(NepomukCore REQUIRED)

include_directories(${KDE4WORKSPACE_INCLUDE_DIR}
                    ${KDE4WORKSPACE_INCLUDE_DIR}/kworkspace
                    ${NEPOMUK_CORE_INCLUDE_DIR})

include(KDE4Defaults)

add_subdirectory(configupdates)

set(plasma-device_SRCS
    activity.cpp
    busywidget.cpp
    main.cpp
    mobcorona.cpp
    mobview.cpp
    plasmaapp.cpp
    mobdialogmanager.cpp
    mobpluginloader.cpp
    panelproxy.cpp
    panelshadows.cpp

    mobileactivitythumbnails/mobileactivitythumbnails.cpp
    mobileactivitythumbnails/imagescaler.cpp

    activityconfiguration/activityconfiguration.cpp
    activityconfiguration/backgroundlistmodel.cpp

    widgetsexplorer/mobilewidgetsexplorer.cpp
    widgetsexplorer/kcategorizeditemsviewmodels.cpp
    widgetsexplorer/plasmaappletitemmodel.cpp
)

add_kao_ontology(plasma-device_SRCS)

set(ksmserver_xml ${KDE4WORKSPACE_DBUS_INTERFACES_DIR}/org.kde.KSMServerInterface.xml)
qt4_add_dbus_interface(plasma-device_SRCS ${ksmserver_xml} ksmserver_interface)


kde4_add_kdeinit_executable(plasma-device ${plasma-device_SRCS})

target_link_libraries(kdeinit_plasma-device
        ${KDE4_PLASMA_LIBS}
        ${KDE4_KDEUI_LIBS}
        ${QT_QTDECLARATIVE_LIBRARY}
        ${KDE4_KIO_LIBS}
        ${NEPOMUK_CORE_LIBRARY}
        ${X11_LIBRARIES}
        ${QT_QTOPENGL_LIBRARY}
        ${KACTIVITIES_LIBRARY}
)

if(X11_Xrender_FOUND)
   target_link_libraries(kdeinit_plasma-device ${X11_Xrender_LIB})
endif(X11_Xrender_FOUND)

install(TARGETS kdeinit_plasma-device DESTINATION ${LIB_INSTALL_DIR})
install(TARGETS plasma-device ${INSTALL_TARGETS_DEFAULT_ARGS} )

#install(FILES plasma-device.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})

install(DIRECTORY widgetsexplorer/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.addresources PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)
install(DIRECTORY activityconfiguration/package/ DESTINATION ${DATA_INSTALL_DIR}/plasma/packages/org.kde.active.activityconfiguration PATTERN .svn EXCLUDE PATTERN Messages.sh EXCLUDE)

=== applets/locationchooser/CMakeLists.txt ===
project(LocationChooser)

installPackage(package org.kde.locationchooser)

include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_BINARY_DIR}
   ${KDE4_INCLUDES}
)

configure_file(config-locationchooser.h.cmake
   ${CMAKE_CURRENT_BINARY_DIR}/config-locationchooser.h)

set(plasma_applet_locationchooser_SRCS
   LocationChooser.cpp
   Engine.cpp
)

qt4_add_dbus_interface(
   plasma_applet_locationchooser_SRCS
   org.kde.LocationManager.xml
   locationmanager_interface
   )

kde4_add_plugin(
   plasma_applet_locationchooser
   ${plasma_applet_locationchooser_SRCS}
   )

target_link_libraries(
   plasma_applet_locationchooser
   ${QT_QTDECLARATIVE_LIBRARY}
   ${QT_QTDBUS_LIBRARY}
   ${QT_QTCORE_LIBRARY}
   ${KDE4_PLASMA_LIBS}
   )

install(
   TARGETS plasma_applet_locationchooser
   DESTINATION ${PLUGIN_INSTALL_DIR}
   )

install(
   FILES plasma-applet-locationchooser.desktop
   DESTINATION ${SERVICES_INSTALL_DIR}
   )

add_subdirectory(icons)
install( FILES package/icons/location.svgz
               package/icons/location-changed.svgz
               package/icons/location-unknown.svgz
         DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/ )

=== debian/changelog ===
plasma-mobile (1:0.5-0ubuntu2) saucy; urgency=low

  * plasma-active Breaks/Replaces contour (LP: #1237854)
  * plasma-active-data Breaks/Replaces contour-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Oct 2013 10:53:06 +0200

plasma-mobile (1:0.5-0ubuntu1) saucy; urgency=high

  * New upstream release LP: #1227602
  * Use epoch to sync with upstream version number
  * Build-dep on libxcursor-dev
  * Add kubuntu_no_contourd.diff to disable contourd from building,
    does not compile with 4.11 and not used by default
  * Depend on renamed package ksplash-theme-active
  * Add kubuntu_no_dirmodel.diff to prevert compile of dirmodel,
    included in kde-runtime 4.11

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Sep 2013 14:08:58 +0100

plasma-mobile (3.0-0ubuntu2) saucy; urgency=low

  * Drop libdirmodelplugin.so and depend on kde-runtime >= 4.10.80 instead

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 18 Jun 2013 19:52:05 +0530

plasma-mobile (3.0-0ubuntu1) raring; urgency=low

  * New upstream release
  * Update install files
  * Run wrap-and-sort
  * Add plasma-mobile-dev
  * Drop plasma-active-keyboardcontainer

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 22 Dec 2012 01:58:11 +0000

plasma-mobile (2.0+git2012071701-0ubuntu1) quantal; urgency=low

  * New upstream snapshot
  * Remove build-dep on kde-runtime-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jul 2012 12:04:43 +0100

plasma-mobile (2.0+git2012021101-0ubuntu5) quantal; urgency=low

  * Build-depend on kdelibs5-dev instead of kdelibs5-experimental-dev as
    the latter is now part of the former.
  * Fix lintian errors missing-separator-between-items and
    not-binnmuable-any-depends-all.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 18:53:21 +0200

plasma-mobile (2.0+git2012021101-0ubuntu4) precise; urgency=low

  * Fix plasma-active-default-settings install path
  * Add kde-runtime-dev as build-deps in place of kde-runtime

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 17 Mar 2012 16:15:57 -0400

plasma-mobile (2.0+git2012021101-0ubuntu3) precise; urgency=low

  [ Rodrigo Belem ]
  * Added startactive and startactive-ksplash-theme as dependency for
    plasma-active.
  * On debian/rules the get-orig-source received a cleanup.

  [ Jonathan Riddell ]
  * Depend on qtmultimediakit
  * Depend on kde-artwork-active
  * Depend on startactive

 -- Rodrigo Belem <rbelem@ubuntu.com>  Mon, 05 Mar 2012 11:19:48 +0000

plasma-mobile (2.0+git2012021101-0ubuntu2) precise; urgency=low

  * Fix files installation overlapping.

 -- Rodrigo Belem <rbelem@ubuntu.com>  Mon, 27 Feb 2012 00:07:05 -0400

plasma-mobile (2.0+git2012021101-0ubuntu1) precise; urgency=low

  * New git snapshot
  * Split the plasma-mobile package into:
    - plasma-active
    - plasma-active-data
    - plasma-active-imageviewer
    - plasma-active-keyboardcontainer
    - plasma-active-mobilecomponents
    - plasma-active-settings
    - plasma-active-webbrowser
    - plasma-widgets-active
  * Remove the kubuntu_01_fix_qtwebkit_linkage.diff. Patch upstreamed.
  * Add the patch kubuntu-01-Fix-missing-include-file-build-failure.diff

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sun, 16 Oct 2011 18:02:47 -0400

plasma-mobile (0.0~svngit20110825-0ubuntu1) oneiric; urgency=low

  * New git snapshot 595e966
  * Update get-orig-source to use git
  * Updated maintainer address to rbelem@ubuntu.com
  * Add the patch kubuntu_01_fix_qtwebkit_linkage.diff
  * Remove the patch Adding_project_name_to_cmakelists.diff. Patch upstreamed.
  * Include pkg-kde-tools in the debian/rules
  * Create the links plasma-tablet, plasma-contour that points to
    plasma-mobile.
  * Add shared-desktop-ontologies and libqtwebkit-dev as build dependency
  * Bump standards-version to 3.9.2

 -- Rodrigo Belem <rbelem@ubuntu.com>  Thu, 25 Aug 2011 13:42:59 -0400

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 7.3.16~),
               kde-workspace-dev,
               kdelibs5-dev (>= 4.11),
               kdepimlibs5-dev,
               libakonadi-dev,
               libicu-dev,
               libkactivities-dev,
               libqt4-opengl-dev,
               libqtwebkit-dev,
               libxrender-dev,
               pkg-kde-tools (>= 0.12),
               quilt (>= 0.46-7~),
               shared-desktop-ontologies,
               libxcursor-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Section: oldlibs
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: kde-artwork-active,
         libdeclarative-multimedia,
         libqtmultimediakit1,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-data (= ${source:Version}),
         plasma-active-metadatamodels (= ${binary:Version}),
         plasma-active-mobilecomponents (= ${binary:Version}),
         plasma-widgets-addons (>= 4.7),
         plasma-widgets-workspace,
         share-like-connect,
         startactive,
         ksplash-theme-active,
         kde-runtime (>= 4:4.10.80),
         kde-workspace-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: plasma-active-settings (= ${binary:Version}),
            plasma-active-webbrowser (= ${binary:Version}),
            plasma-widgets-active (= ${binary:Version})
Replaces: plasma-active-data (<< 1:0.5), contour
Breaks: plasma-active-data (<< 1:0.5), contour
Description: KDE Plasma Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: kde-runtime, ${misc:Depends}, ${shlibs:Depends}
Description: Qt Quick components for the Plasma Active workspace
 Qt Quick components to develop applications for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-metadatamodels
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active (<< 2.0+git20120717)
Breaks: plasma-active (<< 2.0+git20120717)
Description: Meta Data Plugin for Plasma
 A plugin for Plasma which allows for easy access
 to Nepomuk meta data.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-webbrowser
Architecture: any
Depends: libqt4-declarative-gestures,
         libqtwebkit-qmlwebkitplugin,
         plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: web browser for the KDE Plasma Active workspace
 Provides a simple web browser optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-settings
Architecture: any
Depends: plasma-active-mobilecomponents (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: settings for the KDE Plasma Active workspace
 Provides a settings user interface optimized for the Plasma Active
 workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: plasma-active-data (<< 2.0+git20120717)
Breaks: plasma-active-data (<< 2.0+git20120717)
Description: plasma widgets and containments for the KDE Plasma Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Active workspace.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Breaks: contour-data
Replaces: plasma-active-imageviewer, contour-data
Conflicts: plasma-active-imageviewer
Description: shared data files for the KDE Plasma Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Active installation.
 .
 This package is part of the Plasma Active platform.

Package: plasma-active-dev
Architecture: any
Depends: plasma-active, ${misc:Depends}, ${shlibs:Depends}
Description: development files for Plasma Active
 This package contains development files for building applications ontop of
 Plasma Active platform.
 .
 This package is part of the Plasma Active platform.

Package: libnepomukdatamodel0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plasma Active nepomuk data models
 Plasma Active library for accessing data models in
 Nepomuk.
 .
 This package is part of the Plasma Active platform.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

NAME?=plasma-mobile
VERSION?=2.0+git$(shell date +%Y%m%d)01
DIRNAME?=$(NAME)-$(VERSION)
TARFILE?=$(NAME)_$(VERSION).orig.tar.gz

get-orig-source:
	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/3 | gzip -c9 > ../$(TARFILE)

../$(TARFILE): get-orig-source

.PHONY: override_dh_auto_test

=== debian/watch ===
#This software is just available in subversion and get-orig-source is used to get the source.
version=3

## plasma-mobile 2.0%2bgit2012021101

=== debian/changelog ===
plasma-mobile (2.0+git2012021101-0ubuntu4~ppa3) precise; urgency=low

  * Fix plasma-active-default-settings install path
  * Add kde-runtime-dev as build-deps in place of kde-runtime

 -- Rodrigo Belem <rbelem@ubuntu.com>  Sat, 17 Mar 2012 16:15:57 -0400

=== debian/control ===
Source: plasma-mobile
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Rodrigo Belem <rbelem@ubuntu.com>
Build-Depends: debhelper (>= 7.3.16~), quilt (>= 0.46-7~), cmake,
 pkg-kde-tools (>= 0.12), kdelibs5-experimental-dev (>= 4.7.90),
 libkactivities-dev, kde-runtime-dev, libqt4-opengl-dev, libqtwebkit-dev,
 kde-workspace-dev, libxrender-dev
Standards-Version: 3.9.2
Homepage: http://www.kde.org/

Package: plasma-mobile
Architecture: all
Depends: plasma-active
Description: transitional package for plasma-active
 This is a transitional package to ease upgrades to the plasma-active package.
 It can safely be removed.

Package: plasma-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 plasma-active-data (= ${binary:Version}),
 plasma-active-mobilecomponents (= ${binary:Version}),
 share-like-connect,
 libqtwebkit-qmlwebkitplugin,
 plasma-widgets-addons (>= 4.7),
 plasma-widgets-workspace,
 startactive,
 startactive-ksplash-theme,
 libqtmultimediakit1,
 libdeclarative-multimedia,
 kde-artwork-active,
 startactive
Recommends: plasma-active-settings (= ${binary:Version}),
 plasma-widgets-active (= ${binary:Version}),
 plasma-active-imageviewer (= ${binary:Version}),
 plasma-active-webbrowser (= ${binary:Version})
Description: KDE Plasma Contour Active workspace for mobile devices
 Provides a basic KDE plasma workspace for mobile environments, which supports
 a wide variety of mobile application types.
 Applications which integrate best in this environment follow standards used by
 the KDE Platform.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-mobilecomponents
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kde-runtime
Description: Qt Quick components for the Plasma Contour Active workspace
 Qt Quick components to develop applications for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-imageviewer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-declarative-gestures,
 plasma-active-mobilecomponents (= ${binary:Version}), share-like-connect
Description: image viewer for the KDE Plasma Contour Active workspace
 Provides a simple graphics viewer for the Plasma Contour Active workspace.
 .
 This package is part of the Plasma Contour Active Platform.
 This package provides a tech preview KDE Plasma Mobile installation.

Package: plasma-active-webbrowser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqtwebkit-qmlwebkitplugin,
 plasma-active-mobilecomponents (= ${binary:Version}),
 libqt4-declarative-gestures
Description: web browser for the KDE Plasma Contour Active workspace
 Provides a simple web browser optimized for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-settings
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
 plasma-active-mobilecomponents (= ${binary:Version})
Description: settings for the KDE Plasma Contour Active workspace
 Provides a settings user interface optimized for the Plasma Contour Active
 workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-keyboardcontainer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tech preview of the KDE plasma workspace for mobile devices
 Provides a simple virtual keyboard for the Plasma Contour Active Workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-widgets-active
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widgets and containments for the KDE Plasma Countor Active
 This package contains standard Plasma widgets and containments shipped in the
 KDE Plasma Contour Active workspace.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-data
Architecture: all
Depends: ${misc:Depends}
Description: shared data files for the KDE Plasma Contour Active workspace
 This package contains architecture-independent shared data files needed for the
 KDE Plasma Contour Active installation.
 .
 This package is part of the Plasma Contour Active Platform.

Package: plasma-active-default-settings
Architecture: all
Depends: ${misc:Depends}
Description:  preview of the KDE plasma workspace for mobile devices
 This package contains the default settings for the KDE Plasma Contour Active.
 .
 This package is part of the Plasma Contour Active Platform.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 TARFILE?=$(NAME)_$(VERSION).orig.tar.gz
 
 get-orig-source:
-	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/3 | gzip -c9 > ../$(TARFILE)
+	git archive --format=tar --prefix=$(DIRNAME)/ --remote=git://anongit.kde.org/plasma-mobile Active/Two | gzip -c9 > ../$(TARFILE)
 
 ../$(TARFILE): get-orig-source
